"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimulationManager = void 0;
const Logger_1 = __importDefault(require("../utils/Logger"));
const RedisClient_1 = require("../utils/RedisClient");
const SIMULATION_KEY = "worker:simulation_mode";
class SimulationManager {
    static async enableSimulation() {
        const redis = RedisClient_1.RedisClient.getInstance();
        await redis.set(SIMULATION_KEY, "true");
        Logger_1.default.log("✅ Simulation mode enabled.");
    }
    static async disableSimulation() {
        const redis = RedisClient_1.RedisClient.getInstance();
        await redis.set(SIMULATION_KEY, "false");
        Logger_1.default.log("🚫 Simulation mode disabled.");
    }
    static async isSimulationEnabled() {
        const redis = RedisClient_1.RedisClient.getInstance();
        const mode = await redis.get(SIMULATION_KEY);
        return mode === "true";
    }
}
exports.SimulationManager = SimulationManager;
//# sourceMappingURL=SimulationManager.js.map